#***********************************************************************
# RPM Wizard
# Copyrigt 2001 Magnus Bjorklof <bjorklof@nic.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.
# If not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#***********************************************************************

from qt import *

import string


class DetailsDialog(QDialog):
    def __init__(self,parent = None,name = None,modal = 1,fl = 0):
        QDialog.__init__(self,parent,name,modal,fl)

        if name == None:
            self.setName('MyDialog1')

        self.resize(383,382)

        self.setSizeGripEnabled(1)

        Layout13 = QVBoxLayout(self)
        Layout13.setSpacing(6)
        Layout13.setMargin(11)

        self.tabWidget = QTabWidget(self,'tabWidget')

	self.MultiLineEdit17 = QTextView(self.tabWidget,'MultiLineEdit17')

	self.tabWidget.insertTab(self.MultiLineEdit17,self.tr('Properties'))

        self.ListView2 = QListView(self.tabWidget,'ListView2')

	self.tabWidget.insertTab(self.ListView2,self.tr('Files'))
        Layout13.addWidget(self.tabWidget)

        Layout12 = QHBoxLayout()
        Layout12.setSpacing(6)
        Layout12.setMargin(0)
        spacer = QSpacerItem(20,20,QSizePolicy.Expanding,QSizePolicy.Minimum)
        Layout12.addItem(spacer)

        self.buttonOk = QPushButton(self,'buttonOk')
        self.buttonOk.setText(self.tr('&OK'))
        self.buttonOk.setAutoDefault(1)
        self.buttonOk.setDefault(1)
        Layout12.addWidget(self.buttonOk)
        spacer_2 = QSpacerItem(20,20,QSizePolicy.Expanding,QSizePolicy.Minimum)
        Layout12.addItem(spacer_2)

        Layout13.addLayout(Layout12)

        self.connect(self.buttonOk,SIGNAL('clicked()'),self,SLOT('accept()'))

    def setValues(self, desc, files): #files is a list, use for

	self.MultiLineEdit17.setText(desc)

	self.ListView2.addColumn(str(len(files))+' files' )

        for f in files:
        	if f==files[0]:

			self.item = QListViewItem(self.ListView2,None)
                        ff=string.strip(f)
			self.item.setText(0, ff)
		else:
			self.item = QListViewItem(self.ListView2,self.item)
                        ff=string.strip(f)
			self.item.setText(0, f)
