#!/usr/bin/env python

print "Installing RPM Wizard...\n"

import commands,sys,os

user=commands.getoutput('whoami')
if user=='root':
        pass
else:
        print "Sorry, you have to be root to install this program. Please change to root and try again."
        sys.exit(0)

if os.getenv('KDEDIR')!=None:
	KDIR='$KDEDIR'
	print commands.getoutput('mkdir --verbose -p $KDEDIR/share/rpmwiz/')
else:
	print commands.getoutput('mkdir --verbose -p /usr/share/rpmwiz/')
	KDIR='/usr'

def install(file, location, mdk=0):
	status, output = commands.getstatusoutput('cp '+file+' '+KDIR+location)

	if status!=0 and mdk==0:
		print "Error: Could not install ", file

	elif status!=0 and mdk==1:
		pass
	else:
		print "Copying:", file

install('rpmwiz.py','/share/rpmwiz/')
install('det.py','/share/rpmwiz/')
install('conf.py','/share/rpmwiz/')
install('test.py','/share/rpmwiz/')
install('imagerpm.png','/share/rpmwiz/')
install('rpmwiz.png','/share/rpmwiz/')

install('COPYING','/share/rpmwiz/')
install('README','/share/rpmwiz/')

install('rpmwiz.png','/share/icons/')

install('rpmwiz','/bin/')

install('rpmwiz.desktop','/share/applnk/System/')

#This should only install on a Mandrake system
install('rpmwiz.desktop','/share/applnk-mdk/Configuration/Packaging',1)


print "\nRPM Wizard is now installed. Hope you enjoy it."
